﻿using System;
using System.Collections.Generic;
using IRaCIS.Core.Domain.Share;

namespace IRaCIS.Core.Domain.Models
{
    public class UserType:Entity
    {
       
        public UserTypeEnum UserTypeEnum { get; set; }
       
        public string UserTypeName { get; set; }

        public string Description { get; set; }

        public int  Order { get; set; }

        public string UserTypeShortName { get; set; } = string.Empty;

        public bool IsEnable { get; set; } = true;


        public string PermissionStr { get; set; }



        [JsonIgnore]
        public List<UserTypeMenu> UserTypeMenuList { get; set; }
        [JsonIgnore]
        public List <UserTypeGroup> UserTypeGroupList { get; set; }

        [JsonIgnore]
        public List<SystemDocNeedConfirmedUserType> SystemDocNeedConfirmedUserTypeList { get; set; }

        [JsonIgnore]
        public List<User> UserList { get; set; }

    }
}