﻿using System.ComponentModel.DataAnnotations;

namespace IRaCIS.Core.Domain.Share.Management
{
    public enum SystemNotice_NoticeModeEnum
    {
        //跑马灯
        RunningLight = 0,

        //页面
        Pages = 1
    }

    public enum SystemNotice_NoticeStateEnum
    {
        NotPublish = 0,

        HavePublished = 1,

        HaveExpired = 2

    }


    public enum SystemNotice_NoticeLevelEnum
    {
        SystemLevel = 0,

        TrialLevel = 1
    }

    public enum SystemNotice_NoticeTypeEnum
    {
        SystemUpgrade = 0,

        TrialChanges = 1
    }


    public enum SystemNotice_ApplicableProjectEnum
    {
        //非正式项目
        OfficialTrial = 0,

        NoneOfficial = 1,

        Training = 3,

        All = 2,


    }

    public enum FrontAudit
    {
        /// <summary>
        ///id
        /// </summary>
        [DisplayAttribute(Name = "id")]
        Id = 1,

        /// <summary>
        ///ChildGroup
        /// </summary>
        [DisplayAttribute(Name = "ChildGroup")]
        ChildGroup = 2,

        /// <summary>
        ///Code
        /// </summary>
        [DisplayAttribute(Name = "Code")]
        Code =3,


        /// <summary>
        ///DictionaryCode
        /// </summary>
        [DisplayAttribute(Name = "DictionaryType")]
        DictionaryType = 4,
    }



    public enum FrontAuditDateType
    {
        /// <summary>
        ///Date
        /// </summary>
        [DisplayAttribute(Name = "Date")]
        Date = 0,

        /// <summary>
        ///DateTime
        /// </summary>
        [DisplayAttribute(Name = "DateTime")]
        DateTime = 1,

      
    }
}