using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    [Table("TrialDictionary")]
    public partial class TrialDictionary : Entity
    {
        //public Guid Id { get; set; }
        [JsonIgnore]
        public virtual Trial Trial { get; set; }
        [JsonIgnore]
        public virtual Dictionary Dictionary { get; set; }

        [StringLength(50)]
        public string KeyName { get; set; } = string.Empty;

        public Guid TrialId { get; set; }

        public Guid DictionaryId { get; set; }
    }
}
